curl -X POST "https://api.adlibapi.com/v1/watchlists/0b7c6a8e-1f2d-4c3b-9a8e-5d6f7a8b9c0d/advertisers" \
-H "X-API-Key: $ADLIB_API_KEY" \
-H "Content-Type: application/json" \
-d '{"advertisers":["meta:15087023444","google:AR18378488041124659201"]}'API reference · Watchlists and webhooks
Add advertisers to a watchlist
POST
/v1/watchlists/{id}/advertisersExample request
Send your key in the X-API-Key header. Try it in the explorer.
Parameters
idrequiredpath · string
–
Request body
advertisersrequiredstring[]
–
Response
data.advertiser_countrequiredinteger
–
data.advertisersrequiredobject[]
Empty in the list endpoint; GET /v1/watchlists/{id} has the entries
active_ads_knowninteger
–
advertiser_idstring
–
last_crawl_atdatetime
–
last_errorstring
–
namestring
–
next_crawl_atdatetime
–
data.archive_videosrequiredboolean
–
data.created_atrequireddatetime
–
data.idrequiredstring
–
data.interval_hoursrequiredinteger
Crawl interval, as set with interval_hours on create
data.namerequiredstring
–
data.webhook_urlrequiredstring
–